Curve Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Curve Class Referenceabstract

This class represents a curve: something which is composed of points, like a line, a circle, a locus... More...

`#include <curve_imp.h>`

Inheritance diagram for Curve:
[legend]
Collaboration diagram for Curve:
[legend]

## Public Member Functions
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
virtual Curve * | copy () const =0
| Returns a copy of this Object.
virtual bool | containsPoint (const Coordinate &p, const KigDocument &) const =0
| Return whether this Curve contains the given point.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
virtual Object * | transform (const Transformation &t) const =0
| Return this Object, transformed by the transformation t.
bool | valid () const
| Returns true if this is a valid Object.
virtual const ObjectType * | type () const =0
| Returns the lowermost ObjectType that this object is an instantiation of.
virtual bool | equals (const Object &rhs) const =0
| Returns true if this Object is equal to rhs.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

This class represents a curve: something which is composed of points, like a line, a circle, a locus...

## Member Function Documentation

## ◆ attachPoint()

Coordinate Curve::attachPoint | ( |  | ) | const
| virtual

Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.

If this method returns a valid Coordinate, then this is interpreted as a pivot point for the label, which can still be moved relative to that point, but follows the object when the object changes. In practice a new RelativePointType is created (position of the string), this type in turn depends on the object (to get its attachPoint) and two DoubleObject that are interpreted as relative displacement (x and y)

Implements Object.

## ◆ containsPoint()

virtual bool Curve::containsPoint | ( | const Coordinate & | p,
|  | const KigDocument & | ) const
| pure virtual

Return whether this Curve contains the given point.

This is implemented as a numerical approximation. lementations can/should use the value test_threshold in common.h as a threshold value.

Implemented in Arc, Conic, Cubic, Line, Ray, Segment, and Vector.

## ◆ copy()

virtual Curve * Curve::copy | ( |  | ) | const
| pure virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Object.

Implemented in Arc, Circle, ConicCart, ConicPolar, Cubic, Line, Ray, Segment, and Vector.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001